Subject: Re: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Jun 2025 10:36:13 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 15 Jun 2025 09:39:24 +0300
> 
> >> The latest version is far from perfect but works well for the most
> >> common use cases.
> >
> > Thanks, I've now installed this on the master branch, and I'm
> > therefore closing the bug.
> 
> Sorry if I missed something, but I tried to use this feature
> and can't find in etc/NEWS whether to set this
> 
> (setq-local fill-paragraph-function 'fill-paragraph-semlf)
> 
> or this
> 
> (setq-local fill-paragraph-function 'fill-region-as-paragraph-semlf)

Neither, AFAIU?  Those two are commands, not fill-paragraph functions.
They don't implement the protocol defined for fill-paragraph
functions.